Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Flute Class Reference

STK flute physical model class. More...

`#include <Flute.h>`

Inheritance diagram for stk::Flute:

List of all members.

## Public Member Functions
| Flute (StkFloat lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Flute (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | setJetReflection (StkFloat coefficient)
| Set the reflection coefficient for the jet delay (-1.0 - 1.0).
void | setEndReflection (StkFloat coefficient)
| Set the reflection coefficient for the air column delay (-1.0 - 1.0).
void | setJetDelay (StkFloat aRatio)
| Set the length of the jet delay in terms of a ratio of jet delay to air column delay lengths.
void | startBlowing (StkFloat amplitude, StkFloat rate)
| Apply breath velocity to instrument with given amplitude and rate of increase.
void | stopBlowing (StkFloat rate)
| Decrease breath velocity with given rate of decrease.
void | noteOn (StkFloat frequency, StkFloat amplitude)
| Start a note with the given frequency and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

STK flute physical model class.

This class implements a simple flute physical model, as discussed by Karjalainen, Smith, Waryznyk, etc. The jet model uses a polynomial, a la Cook.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

Control Change Numbers:

- Jet Delay = 2
- Noise Gain = 4
- Vibrato Frequency = 11
- Vibrato Gain = 1
- Breath Pressure = 128

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Constructor & Destructor Documentation

stk::Flute::Flute | ( | StkFloat | lowestFrequency | ) |

Class constructor, taking the lowest desired playing frequency.

An StkError will be thrown if the rawwave path is incorrectly set.

The documentation for this class was generated from the following file:

- Flute.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.